# $Revision: 1.20 $, $Date: 2008/07/27 22:50:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	CGI
%define		pnam	Graph
Summary:	CGI::Graph - create interactive CGI-based graphs
Summary(pl.UTF-8):	CGI::Graph - tworzenie interaktywnych wykresów w oparciu o CGI
Name:		perl-CGI-Graph
Version:	0.93
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	e18432d8462620a390ac8f686977ad43
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-CGI
BuildRequires:	perl-Data-Table
BuildRequires:	perl-GD
BuildRequires:	perl-GD-Graph
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates CGI graphs which allow the user to visualize
spreadsheet data using scatter plots, bar plots, histograms, etc. It
provides features for easy interactions such as panning, zooming,
element selection, and axis selection.

%description -l pl.UTF-8
Ten moduł tworzy wykresy CGI, pozwalające na wizualizację danych z
arkuszy kalkulacyjncyh przy użyciu wykresów rozproszonych, słupkowych,
histogramów itp. Daje możliwość łatwej interakcji takiej jak
przesuwanie, powiększanie, wybieranie elementów i osi.

%prep
%setup -q -n %{pdir}%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-CGI-Graph.spec,v $
Revision 1.20  2008/07/27 22:50:10  arekm
- release 5

Revision 1.19  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:08  paladine
- formatting

Revision 1.16  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.15  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 06:25:04  ankry
- cosmetics: unification

Revision 1.13  2004/04/20 09:46:26  ankry
- bcond fixes/porting

Revision 1.12  2004/04/17 18:00:49  ankry
- license/summary/description fixes

Revision 1.11  2004/04/14 11:42:37  ankry
- caps and other cosmetics

Revision 1.10  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:27  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:45:32  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:59  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/10 19:58:32  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 09:06:43  radek
- new, STBR
